package com.book.push.service.dao.impl;

import com.book.dao.cps.mapper.UserMapper;
import com.book.dao.cps.pojo.User;
import com.book.push.service.dao.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * created in 2021/8/17
 * Project: book-store
 *
 * @author win7
 */
@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;
    @Override
    public User selectUserByUser(User user) {
        return userMapper.selectByUser(user);
    }

    @Override
    public User selectByOpenId(String openId) {
        return userMapper.selectByOpenId(openId);
    }

    @Override
    public User selectById(Long id) {
        return userMapper.selectByPrimaryKey(id);
    }
}
